<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layouts/main_layout}">
<head>
    <meta charset="UTF-8">
    <title>Admin Panel</title>
</head>
<body>
<div layout:fragment="content" id="admin-page-content">
    <nav class="navbar navbar-expand-lg navbar-dark bg-info">
        <a class="navbar-brand">Admin Panel</a>
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor02" aria-controls="navbarColor02" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>

        <div class="collapse navbar-collapse" id="navbarColor02">
            <ul class="navbar-nav mr-auto">
                <li class="nav-item">
                    <a class="nav-link text-light" th:href="@{/user/list}">
                        Users
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link text-light" th:href="@{/products}">
                        Products
                    </a>
                </li>
                <li class="nav-item">
                    <a class="nav-link text-light" th:href="@{/categories}">
                        Categories
                    </a>
                </li>
                <li class="nav-item dropdown">
                    <a class="nav-link text-light dropdown-toggle" href="#" id="adminReportsDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                        Reports
                    </a>
                    <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
                        <a class="dropdown-item" href="#" th:href="@{/admin/report/top-products}">Most popular products</a>
                        <a class="dropdown-item" href="#" th:href="@{/admin/report/top-customers/orders-made}">Most active customers (orders made)</a>
                        <a class="dropdown-item" href="#" th:href="@{/admin/report/top-customers/money-spent}">Most active customers (money spent)</a>
                    </div>
                </li>
            </ul>
        </div>
    </nav>

    <div layout:fragment="admin_panel_content">
        PAGE CONTENT
    </div>

</div>
</body>
</html>